### Function

# Vips slist_map2_rev

#### Declaration [src]

    void*
    vips_slist_map2_rev (
      GSList* list,
      VipsSListMap2Fn fn,
      void* a,
      void* b
    )

#### Description [src]

Map backwards. We _reverse() rather than recurse and unwind to save stack.

#### Parameters

`list`

  Type: A list of `guint8`

  A `GSList`.

  The data is owned by the caller of the function.

`fn`

  Type: `VipsSListMap2Fn`

  Function to apply to each list element.

`a`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `void*`

`NULL` if `fn` returns `NULL` for all arguments, otherwise the first non-`NULL` value from `fn`.

The data is owned by the called function.
The return value can be `NULL`.